package electrosphere.renderer.ui.layout;

import electrosphere.renderer.ui.Widget;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author amaterasu
 */
public abstract interface LayoutScheme {
    
    public abstract void pack();
    
    public abstract void addWidget(Widget widget);
    
    public abstract List<Widget> getWidgets();
    
    public abstract void destroy();
    
}
